SeExpr

Static Public Member Functions | List of all members
SeExpr2::Promote< d > Struct Template Reference

Promotes a FP[1] to FP[d]. More...

`#include <Interpreter.h>`

## Static Public Member Functions
static int | f (int *opData, double *fp, char **c, std::vector< int > &callStack)

## Detailed Description

### template<int d>
struct SeExpr2::Promote< d >

Promotes a FP[1] to FP[d].

Definition at line 28 of file Interpreter.h.

## Member Function Documentation

## ◆ f()

template<int d>

static int SeExpr2::Promote< d >::f | ( | int * | opData,
|  | double * | fp,
|  | char ** | c,
|  | std::vector< int > & | callStack
| ) |  |
| inline static

Definition at line 30 of file Interpreter.h.

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/Interpreter.h